{#
This file is part of EC-CUBE

Copyright(c) EC-CUBE CO.,LTD. All Rights Reserved.

http://www.ec-cube.co.jp/

For the full copyright and license information, please view the LICENSE
file that was distributed with this source code.
#}
{% extends 'default_frame.twig' %}

{% set body_class = 'product_page' %}

{% block stylesheet %}
    <style>

        .slick-slider { 
            margin-bottom: 30px; 
        }

        .slick-dots {
            position: absolute;
            bottom: -45px;
            display: block;
            width: 100%;
            padding: 0;
            list-style: none;
            text-align: center;
        }

        .slick-dots li {
            position: relative;
            display: inline-block;
            width: 20px;
            height: 20px;
            margin: 0 5px;
            padding: 0;

            cursor: pointer;
        }

        .slick-dots li button {
            font-size: 0;
            line-height: 0;
            display: block;
            width: 20px;
            height: 20px;
            padding: 5px;
            cursor: pointer;
            color: transparent;
            border: 0;
            outline: none;
            background: transparent;
        }

        .slick-dots li button:hover,
        .slick-dots li button:focus {
            outline: none;
        }

        .slick-dots li button:hover:before,
        .slick-dots li button:focus:before {
            opacity: 1;
        }

        .slick-dots li button:before {
            content: " ";
            line-height: 20px;
            position: absolute;
            top: 0;
            left: 0;
            width: 12px;
            height: 12px;
            text-align: center;
            opacity: .25;
            background-color: black;

        }

        .slick-dots li.slick-active button:before {
            opacity: .75;
            background-color: black;
        }

        .slick-dots li button.thumbnail img {
            width: 0;
            height: 0;
        }


        .radio-toolbar {
          /*margin: 25px;*/
        }

        .radio-toolbar .form-check {
         /* float:left;*/
         display: inline-block;
         margin-top: 5px;
        }

        .radio-toolbar input[type="radio"] {
            opacity: 0;
            position: fixed;
            width: 0;
            box-shadow: 5px 10px #888888;
        }

        .radio-toolbar label {
            display: inline-block;
            background-color: #FFF;
            /*padding: 20px 14px;*/
            font-size: 10px;
            border: 1px solid #bdb2b2;
            /*margin-right:10px;
            margin-bottom: 5px;*/
            border-radius: 0px;
            box-shadow: 3px 1px 4px #DDDCDC;

            

        }

        .ec-productRole__actions
        {
            writing-mode: vertical-rl;
            text-orientation: upright;
            transform: rotate(-90deg);
                margin-top: -58px;
        }
  
        
        .radio-toolbar input[type="radio"]:focus + label {
            border:1px solid #CCC;
        }

        .radio-toolbar input[type="radio"]:checked + label {
            border:1px solid #000;
        }

        .error
        {
            color: red;
        }

        /*.ec-footerRole
        {
            margin-left: 242px !important;
            height: 49em !important;
        }*/
        .col-form-label
        {
            font-size: 14px;
            font-weight: bold;
        }
        .layout_container
        {
            height:298px;
        }
    </style>
{% endblock %}

{% block javascript %}
    <script>


        eccube.classCategories = {{ class_categories_as_json(Product)|raw }};

        // 規格2に選択肢を割り当てる。
        function fnSetClassCategories(form, classcat_id2_selected) {
            var $form = $(form);
            var product_id = $form.find('input[name=product_id]').val();
            var $sele1 = $form.find('input[name=classcategory_id1]');

            var $sele2 = $form.find('.classcategory_id2');
            eccube.setClassCategories($form, product_id, $sele1, $sele2, classcat_id2_selected);
        }

        {% if form.classcategory_id2 is defined %}
        fnSetClassCategories(
            $('#form1'), {{ form.classcategory_id2.vars.value|json_encode|raw }}
        );
        {% elseif form.classcategory_id1 is defined %}
        eccube.checkStock($('#form1'), {{ Product.id }}, {{ form.classcategory_id1.vars.value|json_encode|raw }}, null);
        {% endif %}
    </script>
    <script>
        $(function() {
            // bfcache無効化
            $(window).bind('pageshow', function(event) {
                if (event.originalEvent.persisted) {
                    location.reload(true);
                }
            });

            $('.item_visual').slick({
                dots: false,
                arrows: false,
                responsive: [{ 
                    breakpoint: 768,
                    settings: {
                        dots: true
                    }
                }]
            });
 
            $('.slideThumb').on('click', function() {
                var index = $(this).attr('data-index');
                $('.item_visual').slick('slickGoTo', index, false);
            })
        });
    </script>
    <script>
        $(function() {
            $('.add-cart').on('click', function(event) {

                {% if form.classcategory_id1 is defined %}
                // 規格1フォームの必須チェック
                //if ($('#classcategory_id1').val() == '__unselected' || $('#classcategory_id1').val() == '') {
                if($("input:radio[name='classcategory_id1']").is(":checked"))
                {
                     //$('input[name=classcategory_id1]')[0].setCustomValidity('');
                     $('.classcategory_id1_error').html('');
                    
                } else {
                    $('.classcategory_id1_error').html('{{ '項目が選択されていません'|trans }}');
                    //$('input[name=classcategory_id1]')[0].setCustomValidity('{{ '項目が選択されていません'|trans }}');
                    return false;
                }
                {% endif %}

                {% if form.classcategory_id2 is defined %}
                // 規格2フォームの必須チェック
                //if ($('#classcategory_id2').val() == '__unselected' || $('#classcategory_id2').val() == '') {
                if($("input:radio[name='classcategory_id2']").is(":checked"))
                {
                     $('.classcategory_id2_error').html('');
                     //$('input[name=classcategory_id2]')[0].setCustomValidity('');
                    
                } else {
                    $('.classcategory_id2_error').html('{{ '項目が選択されていません'|trans }}');
                    //$('input[name=classcategory_id2]')[0].setCustomValidity('{{ '項目が選択されていません'|trans }}');
                    return false;
                }
                {% endif %}
                // 個数フォームのチェック
                if ($('#quantity').val() < 1) {
                    $('#quantity')[0].setCustomValidity('{{ '1以上で入力してください。'|trans }}');
                    return false;
                } else {
                    $('#quantity')[0].setCustomValidity('');
                }

                event.preventDefault();
                $form = $('#form1');
                $.ajax({
                    url: $form.attr('action'),
                    type: $form.attr('method'),
                    data: $form.serialize(),
                    dataType: 'json',
                    beforeSend: function(xhr, settings) {
                        // Buttonを無効にする
                        $('.add-cart').prop('disabled', true);
                    }
                }).done(function(data) {
                    // レスポンス内のメッセージをalertで表示
                    $.each(data.messages, function() {
                        $('#ec-modal-header').html(this);
                    });

                    $('#ec-modal-checkbox').prop('checked', true);

                     // カートブロックを更新する
                    $.ajax({
                        url: "{{ url('block_cart') }}",
                        type: 'GET',
                        dataType: 'html'
                    }).done(function(html) {
                        $('.ec-headerRole__cart').html(html);
                    });
                }).fail(function(data) {
                    alert('{{ 'カートへの追加に失敗しました。'|trans }}');
                }).always(function(data) {
                    // Buttonを有効にする
                    $('.add-cart').prop('disabled', false);
                });
            });
        });


        $("#quantity:input").bind('keyup mouseup', function () {
            var quantity = this.value;
            var getcurrent_price = $('#getcurrent_price').val();
            var totalprice =  quantity *    getcurrent_price;  

              n = totalprice.toString()
              while (true) {
                var n2 = n.replace(/(\d)(\d{3})($|,|\.)/g, '$1,$2$3')
                if (n == n2) break
                n = n2
              }
            $('.chageqtyprice').html('￥' +n);
        });

             $(document).ready(function() {
          // $('.layout_container').css('height', $(window).width() - $('html').width() +'px');
           // var docHeight = $(window).width();
           // var footerHeight = $('.ec-footerRole').width();
           // var footerTop = $('.ec-footerRole').position().top + footerHeight;
           // if (footerTop < docHeight) { 
           //  alert(10+ (docHeight - footerTop));
           //   $('.ec-footerRole').css('margin-top', 10+ (docHeight - footerTop)  + 'px');
           // }
            //$('.ec-footerRole').css('margin-top', 80 + 'px');
            //;
                var desc = $('.divheight').width();
                var grid = $('.calwidth').width()+100;
                var prod = $('.custome-cat-prod').width();
                var totalpagewidth = parseInt(desc) + parseInt(grid) + parseInt(prod);
                if(window.screen.width > 1800) {
                $('.divheight').css('margin-right','300px');
                $('.product_details').css('margin-top','310px');
                var maxwid = totalpagewidth  - 430;
                $('.product-description').css('margin-left','400px');
                } else {
                $('.divheight').css('margin-right','100px');
                var maxwid = totalpagewidth  - 550;    
                }
                if(maxwid > 350) {
                //$('.layout_container').css('height',maxwid+'px');
                }
                 var grid1 = $('.calwidth').width();
                var a = grid1 - 250;
                if(grid > 300) {
                $('.ec-grid2').css('margin-bottom',a+'px');
                }

              });

    </script>
{% endblock %}

{% block main %}
    
    {% if pagination %}         
            <div class="ec-shelfRole custome-cat-prod">
                <ul class="ec-shelfGrid">

                    {% for Product in pagination %}
                        <li class="ec-shelfGrid__item product_name_li">
                            <a href="{{ url('product_detail', {'id': Product.id}) }}?category_id={{ category_id }}">
                                <p class="product_name">{{ Product.name }}</p>
                                <p class="ec-shelfGrid__item-image product_name_image">
                                    <img src="{{ asset(Product.main_list_image|no_image_product, 'save_image') }}">
                                </p>
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        {% endif %}
        
    <div class="ec-productRole">

        

        <div class="ec-grid2">
             <div class="ec-grid2__cell ec-grid2__cell_Attr">
                <div class="ec-productRole__profile">

           
           
      
                    
                    <!-- {# 商品名 #}
                    <div class="ec-productRole__title">
                        <h2 class="ec-headingTitle">{{ Product.name }}</h2>
                    </div>
                    {# タグ #} -->
                   <!--  <ul class="ec-productRole__tags">
                        {% for Tag in Product.Tags %}
                            <li class="ec-productRole__tag tag_{{ Tag.id }}">{{ Tag }}</li>
                        {% endfor %}
                    </ul> -->
                    <!-- {# 通常価格 #}
                    {% if Product.hasProductClass -%}
                        <div class="ec-productRole__priceRegular">
                            {% if Product.getPrice01Min is not null and Product.getPrice01IncTaxMin == Product.getPrice01IncTaxMax %}
                                <span class="ec-productRole__priceRegularPrice">{{ '通常価格'|trans }}：<span class="price01-default">{{ Product.getPrice01IncTaxMin|price }}</span></span>
                                <span class="ec-productRole__priceRegularTax">{{ '税込'|trans }}</span>
                            {% elseif Product.getPrice01Min is not null and Product.getPrice01Max is not null %}
                                <span class="ec-productRole__priceRegularPrice">{{ '通常価格'|trans }}：<span class="price01-default">{{ Product.getPrice01IncTaxMin|price }}～ {{ Product.getPrice01IncTaxMax|price }}</span></span>
                                <span class="ec-productRole__priceRegularTax">{{ '税込'|trans }}</span>
                            {% endif %}
                        </div>
                    {% else %}
                        {% if Product.getPrice01Max is not null %}
                            <span class="ec-productRole__priceRegularPrice">{{ '通常価格'|trans }}：{{ Product.getPrice01IncTaxMin|price }}</span>
                            <span class="ec-productRole__priceRegularTax">{{ '税込'|trans }}</span>
                        {% endif %}
                    {% endif %}
                    {# 販売価格 #} -->
                    <!-- <div class="ec-productRole__price">
                        {% if Product.hasProductClass -%}
                            {% if Product.getPrice02IncTaxMin == Product.getPrice02IncTaxMax %}
                                <div class="ec-price">
                                    <span class="ec-price__price price02-default">{{ Product.getPrice02IncTaxMin|price }}</span>
                                    <span class="ec-price__tax">{{ '税込'|trans }}</span>
                                </div>
                            {% else %}
                                <div class="ec-price">
                                    <span class="ec-price__price price02-default">{{ Product.getPrice02IncTaxMin|price }} ～ {{ Product.getPrice02IncTaxMax|price }}</span>
                                    <span class="ec-price__tax">{{ '税込'|trans }}</span>
                                </div>
                            {% endif %}
                        {% else %}
                            <div class="ec-price">
                                <span class="ec-price__price">{{ Product.getPrice02IncTaxMin|price }}</span>
                                <span class="ec-price__tax">{{ '税込'|trans }}</span>
                            </div>
                        {% endif %}
                    </div> -->
                    <!-- {# 商品コード #}
                    {% if Product.code_min is not empty %}
                        <div class="ec-productRole__code">
                            {{ '商品コード'|trans }}： <span class="product-code-default">{{ Product.code_min }}{% if Product.code_min != Product.code_max %} ～ {{ Product.code_max }}{% endif %}</span>
                        </div>
                    {% endif %}
                    {# 関連カテゴリ #}
                    {% if Product.ProductCategories is not empty %}
                        <div class="ec-productRole__category">
                            <div>{{ '関連カテゴリ'|trans }}</div>
                            {% for ProductCategory in Product.ProductCategories %}
                                <ul>
                                    <li>
                                        {% for Category in ProductCategory.Category.path %}
                                            <a href="{{ url('product_list') }}?category_id={{ Category.id }}">{{ Category.name }}</a> {%- if loop.last == false %}
                                            <span>＞</span>{% endif -%}
                                        {% endfor %}
                                    </li>
                                </ul>
                            {% endfor %}
                        </div>
                    {% endif %} -->
                    <form action="{{ url('product_add_cart', {id:Product.id}) }}" method="post" id="form1" name="form1">
 
                        {% if Product.stock_find %} 
                            <div class="ec-productRole__actions">
                                <div class="calwidth">
                                {% if form.classcategory_id1 is defined %}
                                     
                                    <div class="margin-bottom-subattr">
                                     {{ form_label(form.classcategory_id1) }}
                                     <div class="btn-group radio-toolbar" role="group" aria-label="Basic example">
                                        {{ form_widget(form.classcategory_id1,  {'label_attr': {'class': 'btn btn-secondary'}}) }}
                                        {{ form_errors(form.classcategory_id1) }}
                                    </div>
                                    <br>
                                    <span  class="error classcategory_id1_error"></span>
                                    </div>

                                        
                                    <!--<div class="ec-select">
                                        {{ form_widget(form.classcategory_id1) }}
                                        {{ form_errors(form.classcategory_id1) }}
                                    </div>-->

                                    {% if form.classcategory_id2 is defined %}
                                        
                                        <div class="margin-bottom-subattr">
                                        {{ form_label(form.classcategory_id1) }}    
                                        <div class="btn-group radio-toolbar classcategory_id2" role="group" aria-label="Basic example">
                                            {{ form_widget(form.classcategory_id2,  {'label_attr': {'class': 'btn btn-secondary'}}) }}
                                            {{ form_errors(form.classcategory_id2) }}
                                        </div>
                                        <br>
                                        <span class="error classcategory_id2_error"></span>
                                        </div>
                                        <!--<div class="ec-select">
                                            {{ form_widget(form.classcategory_id2) }}
                                            {{ form_errors(form.classcategory_id2) }}
                                        </div>-->
                                    {% endif %}
                                {% endif %}

                                <div class="margin-bottom-subattr">
                                <div class="ec-numberInput"><span>{{ '数量'|trans }}</span>
                                    {{ form_widget(form.quantity) }}
                                    {{ form_errors(form.quantity) }}
                                </div>
                                </div>
                                </div>
                            </div>
                            
                           <!--  <div class="ec-productRole__btn">
                                <button type="submit" class="ec-blockBtn--action add-cart">
                                    {{ 'カートに入れる'|trans }}
                                </button>
                            </div> -->
                        {% else %}
                           <!--  <div class="ec-productRole__btn">
                                <button type="button" class="ec-blockBtn--action" disabled="disabled">
                                    {{ 'ただいま品切れ中です。'|trans }}
                                </button>
                            </div> -->
                        {% endif %}

                        {{ form_rest(form) }}
                    </form>
                   
                    {% if BaseInfo.option_favorite_product %}
                        <form action="{{ url('product_add_favorite', {id:Product.id}) }}" method="post">
                            <div class="ec-productRole__btn">
                              <!--   {% if is_favorite == false %}
                                    <button type="submit" id="favorite" class="ec-blockBtn--cancel">
                                        {{ 'お気に入りに追加'|trans }}
                                    </button>
                                {% else %}
                                    <button type="submit" id="favorite" class="ec-blockBtn--cancel"
                                            disabled="disabled">{{ 'お気に入りに追加済です。'|trans }}
                                    </button>
                                {% endif %} -->
                            </div>
                        </form>
                    {% endif %}
                   
                </div>
            </div>

            <div class="ec-grid2__cell" style="margin-top: 60px;">
                <div class="ec-sliderItemRole">

                    <div class="item_visual">
                        {% for ProductImage in Product.ProductImage %}
                            <div class="slide-item"><img src="{{ asset(ProductImage, 'save_image') }}"></div>
                        {% else %}
                            <div class="slide-item"><img src="{{ asset(''|no_image_product, 'save_image') }}"/></div>
                        {% endfor %}
                    </div>
                    <div class="item_nav">
                        {% for ProductImage in Product.ProductImage %}
                            <div class="slideThumb" data-index="{{ loop.index0 }}"><img src="{{ asset(ProductImage, 'save_image') }}"></div>
                        {% endfor %}
                    </div>
                </div>
            </div>

        </div>

         <div class="ec-modal">
                        <input type="checkbox" id="ec-modal-checkbox" class="checkbox">
                        <div class="ec-modal-overlay">
                            <label for="ec-modal-checkbox" class="ec-modal-overlay-close"></label>
                            <div class="ec-modal-wrap">
                                <label for="ec-modal-checkbox" class="ec-modal-close"><span class="ec-icon"><img src="{{ asset('assets/icon/cross-dark.svg') }}" alt=""/></span></label>
                                <div id="ec-modal-header" class="text-center">{{ 'カートに追加しました。'|trans }}</div>
                                <div class="ec-modal-box">
                                    <div class="ec-role">
                                        <label for="ec-modal-checkbox" class="ec-inlineBtn--cancel">{{ 'お買い物を続ける'|trans }}</label>
                                        <a href="{{ url('cart') }}" class="ec-inlineBtn--action">{{ 'カートへ進む'|trans }}</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
        
        <div class="row">
           
         <div class="product-description ec-productRole__description"><div class="divheight" style="border-right: 1px solid #CCC;">
             {% if Product.description_detail %}
            <p style="padding-right: 10px; margin-top:30px;" class="product_details">{{ Product.description_detail|raw|nl2br }}</p>   
            {% endif %}

                        {% if Product.hasProductClass -%}
                            {% if Product.getPrice02IncTaxMin == Product.getPrice02IncTaxMax %}
                                <div class="ec-price price_font">
                                    <input type="hidden" id="getcurrent_price" value="{{ Product.getPrice02IncTaxMin }} ">
                                    <span class="ec-price__price price02-default chageqtyprice">{{ Product.getPrice02IncTaxMin|price }}</span>
                                    <span class="ec-price__tax">{{ '税込'|trans }}</span>
                                        <a href="javascript:void();" class="buy-now-button-css add-cart"> {{ '購入'|trans }}</a>
                                   <!--    <button type="submit" class="buy-now-button-css add-cart">
                                         {{ 'A B'|trans }}
                                        </button>  -->


                                </div>
                            {% else %}
                                <div class="ec-price price_font">
                                    <input type="hidden" id="getcurrent_price" value="{{ Product.getPrice02IncTaxMin }}">
                                    <span class="ec-price__price price02-default"><spam class="chageqtyprice">{{ Product.getPrice02IncTaxMin|price }}</spam> ～ {{ Product.getPrice02IncTaxMax|price }}</span>
                                    <span class="ec-price__tax">{{ '税込'|trans }}</span>
                                      <a href="javascript:void();" class="buy-now-button-css add-cart"> {{ '購入'|trans }}</a>
                                </div>
                            {% endif %}
                        {% else %}
                            <div class="ec-price price_font">
                                 <input type="hidden" id="getcurrent_price" value="{{ Product.getPrice02IncTaxMin }}">
                                <span class="ec-price__price chageqtyprice">{{ Product.getPrice02IncTaxMin|price }}</span>
                                <span class="ec-price__tax">{{ '税込'|trans }}</span>
                                  <a href="javascript:void();" class="buy-now-button-css add-cart"> {{ '購入'|trans }}</a>

                            </div>
                        {% endif %}

                        </div>
                    </div>
                 

         </div>
        {% if Product.freearea %}
            <!--  <div class="ec-productRole__description product-description">
                 {{ include(template_from_string(Product.freearea)) }}
            </div> -->
        {% endif %}



    <!--   <div class="pricediv footer_buy_now" >
          <div class="col-sm-12">
            <div class="ec-productRole__price text-right roted-price">
                        {% if Product.hasProductClass -%}
                            {% if Product.getPrice02IncTaxMin == Product.getPrice02IncTaxMax %}
                                <div class="ec-price price_font">
                                    <input type="hidden" id="getcurrent_price" value="{{ Product.getPrice02IncTaxMin }} ">
                                    <span class="ec-price__price price02-default chageqtyprice">{{ Product.getPrice02IncTaxMin|price }}</span>
                                    <span class="ec-price__tax">{{ '税込'|trans }}</span>
                                </div>
                            {% else %}
                                <div class="ec-price price_font">
                                    <input type="hidden" id="getcurrent_price" value="{{ Product.getPrice02IncTaxMin }}">
                                    <span class="ec-price__price price02-default"><spam class="chageqtyprice">{{ Product.getPrice02IncTaxMin|price }}</spam> ～ {{ Product.getPrice02IncTaxMax|price }}</span>
                                    <span class="ec-price__tax">{{ '税込'|trans }}</span>
                                </div>
                            {% endif %}
                        {% else %}
                            <div class="ec-price price_font">
                                 <input type="hidden" id="getcurrent_price" value="{{ Product.getPrice02IncTaxMin }}">
                                <span class="ec-price__price chageqtyprice">{{ Product.getPrice02IncTaxMin|price }}</span>
                                <span class="ec-price__tax">{{ '税込'|trans }}</span>
                            </div>
                        {% endif %}
                    </div>
              <button type="submit" class="buy-now-button-css add-cart">
             {{ 'カートに入れる'|trans }}
            </button>       
          </div> -->
          <!-- <div class="col-sm-4">
            <button type="submit" class="buy-now-button-css add-cart">
             {{ 'カートに入れる'|trans }}
            </button>
          </div> 
        </div> 


        </div>-->
 

    </div>



{% endblock %}
